<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Topic segmentation sunburst chart — plot_topic_segmentation • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Topic segmentation sunburst chart — plot_topic_segmentation"><meta name="description" content="Creates a Plotly sunburst chart that visualizes the hierarchical segmentation of referendum topic occurences."><meta property="og:description" content="Creates a Plotly sunburst chart that visualizes the hierarchical segmentation of referendum topic occurences."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><!-- dependencies from examples --><script src="libs/htmlwidgets-1.6.4/htmlwidgets.js"></script><script src="libs/plotly-binding-4.10.4.9000/plotly.js"></script><script src="libs/typedarray-0.1/typedarray.min.js"></script><link href="libs/crosstalk-1.2.1/css/crosstalk.min.css" rel="stylesheet"><script src="libs/crosstalk-1.2.1/js/crosstalk.min.js"></script><link href="libs/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet"><script src="libs/plotly-main-2.11.1/plotly-latest.min.js"></script><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Topic segmentation sunburst chart</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>plot_topic_segmentation.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a <a href="https://plotly.com/r/sunburst-charts/" class="external-link">Plotly sunburst chart</a> that visualizes the hierarchical segmentation of referendum topic occurences.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">plot_topic_segmentation</span><span class="op">(</span></span>
<span>  <span class="va">data</span>,</span>
<span>  method <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"per_rfrnd"</span>, <span class="st">"per_topic_lineage"</span>, <span class="st">"naive"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>. A data frame that at minimum contains the columns <code>topics_tier_1</code>, <code>topics_tier_2</code> and
<code>topics_tier_3</code>.</p></dd>


<dt id="arg-method">method<a class="anchor" aria-label="anchor" href="#arg-method"></a></dt>
<dd><p>Applied method to count the number of topic occurences. One of</p><ul><li><p><strong><code>"per_rfrnd"</code></strong>: All <em>referendums</em> have the same weight. For a referendum with n different topics of the same tier, every topic is counted 1/n.</p></li>
<li><p><strong><code>"per_topic_lineage"</code></strong>: All <em>topic lineages</em> have the same weight. For a referendum with n different topics of the same tier, every topic is fully
counted, meaning that e.g. a referendum with three different tier-3 topics has a tripled impact on the result compared to a referendum that only has a
single one. Noticeably faster than <code>"per_rfrnd"</code>.</p></li>
<li><p><strong><code>"naive"</code></strong>: Naive procedure which doesn't properly reflect topic proportions on tier 2 and 3. Based on the (wrong) assumptions that a) all referendums
have the same number of topic lineages assigned and b) topics are not deduplicated per tier. By far the fastest method, though.</p></li>
</ul></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">plotly object</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>A <em>topic lineage</em> is the hierarchical compound of a <code>topic_tier_1</code> and optionally a grandchild <code>topic_tier_3</code> and/or a child <code>topic_tier_2</code>.</p>
<p>Note that topics can be assigned on any tier to referendums (i.e. in one case, a <code>topic_tier_1</code> plus a child <code>topic_tier_2</code> is assigned, and in another case
only a <code>topic_tier_1</code> without any further child topic).</p>
<p>Furthermore, it should be noted that not every <code>topic_tier_2</code> has potential child <code>topic_tier_3</code>s. See the <a href="https://rdb.rpkg.dev/articles/codebook.html#topics">full topic hierarchy</a>
for details.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other visualization functions:
<code><a href="ggplot_streamgraph.html">ggplot_streamgraph</a>()</code>,
<code><a href="plot_rfrnd_share_per_period.html">plot_rfrnd_share_per_period</a>()</code>,
<code><a href="plot_topic_share_per_period.html">plot_topic_share_per_period</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="co"># count each referendum equally</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">plot_topic_segmentation</span><span class="op">(</span>method <span class="op">=</span> <span class="st">"per_rfrnd"</span><span class="op">)</span></span></span>
<div id="htmlwidget-e5c8c404fe174e4c81bd" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-e5c8c404fe174e4c81bd">{"x":{"visdat":{"6629c2d1e884a":["function () ","plotlyVisDat"]},"cur_data":"6629c2d1e884a","attrs":{"6629c2d1e884a":{"labels":{},"parents":{},"ids":{},"values":{},"branchvalues":"total","insidetextorientation":"radial","alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"sunburst"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"closest","showlegend":false},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"labels":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>"],"parents":["","","","","","","","","","","","","foreign policy","foreign policy","agriculture","transport and infrastructure","energy","security policy","foreign policy","public finance","state organisation","agriculture","culture, religion and media","foreign policy","foreign policy","economy","education and research","economy","energy","environment and living space","state organisation","economy","public finance","agriculture","foreign policy","agriculture","social policy","environment and living space","energy","state organisation","foreign policy","culture, religion and media","state organisation","agriculture","culture, religion and media","security policy","state organisation","energy","energy","state organisation","foreign policy","transport and infrastructure","education and research","public finance","security policy","transport and infrastructure","culture, religion and media","education and research","transport and infrastructure","education and research","transport and infrastructure","social policy","social policy","environment and living space","culture, religion and media","public finance","transport and infrastructure","economy","transport and infrastructure","education and research","European policy","European policy","European policy","international organisations","army","health","environment","environment","research","army","army","finance","housing","social groups","citizens' rights","legal system","public security","social security","economic policy","army","political system","economic policy","institutions","legal system","foreign trade policy","legal system","taxation","social security","federalism","political system","employment","employment","environment","social groups","media and communication","legal system","research","rail transport","institutions","social security","health","road transport","social groups","tourism and leisure","social groups","position on foreign policy","taxation","employment","federalism","army","legal system","soil","political system","tourism and leisure","social security","media and communication","health","health","army","army","army","finance","institutions","position on foreign policy","environment","social security","European policy","international organisations","institutions","rail transport","social security","social groups","public security","media and communication","economic policy","legal system","political system","environment","media and communication","citizens' rights","social groups","health","road transport","social groups","economic policy","environment","soil","public security","social groups","economic policy","taxation","taxation","housing","federalism","tourism and leisure","transport policy","social security","transport policy","citizens' rights","environment","environment","social security","employment","European policy","agriculture","army","citizens' rights","culture, religion and media","economic policy","economy","education and research","employment","energy","environment","environment and living space","federalism","finance","foreign policy","foreign trade policy","health","housing","institutions","international organisations","legal system","media and communication","political system","position on foreign policy","public finance","public security","rail transport","research","road transport","security policy","social groups","social policy","social security","soil","state organisation","taxation","tourism and leisure","transport and infrastructure","transport policy"],"ids":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","NA_European policy","NA_agriculture","NA_army","NA_citizens' rights","NA_culture, religion and media","NA_economic policy","NA_economy","NA_education and research","NA_employment","NA_energy","NA_environment","NA_environment and living space","NA_federalism","NA_finance","NA_foreign policy","NA_foreign trade policy","NA_health","NA_housing","NA_institutions","NA_international organisations","NA_legal system","NA_media and communication","NA_political system","NA_position on foreign policy","NA_public finance","NA_public security","NA_rail transport","NA_research","NA_road transport","NA_security policy","NA_social groups","NA_social policy","NA_social security","NA_soil","NA_state organisation","NA_taxation","NA_tourism and leisure","NA_transport and infrastructure","NA_transport policy"],"values":[171,199.83333333333334,689.66666666666663,629.83333333333326,174.83333333333334,825,165.16666666666666,1114.6666666666667,272.83333333333331,1439.8333333333333,3688,780.33333333333337,56.666666666666664,3.1666666666666665,51,25,18,65.333333333333329,19.5,64.666666666666671,399.16666666666669,12.833333333333334,63.666666666666664,3.833333333333333,3,186.16666666666666,204.83333333333331,257.83333333333331,88.166666666666671,367.33333333333331,374.5,104,33.833333333333336,48.333333333333336,9.5,25.833333333333332,553.33333333333337,293.83333333333331,14.166666666666666,1029.1666666666667,19.5,14.666666666666666,511.66666666666669,16.166666666666668,35.833333333333336,7.5,390.83333333333331,41.5,5.833333333333333,961.5,38,3.5,60.166666666666664,371.66666666666669,192.33333333333334,73.5,48.5,18.833333333333332,279.5,274.5,25.833333333333332,545.66666666666663,318.66666666666669,132.83333333333334,30.166666666666668,595,9,113.16666666666667,179.66666666666666,58.166666666666664,3.3333333333333335,0.5,43.5,5.5,4.5,159,10,46.5,2.1666666666666665,7.833333333333333,16,72.333333333333329,121.66666666666667,221,62.333333333333336,51.333333333333336,61.5,0.33333333333333331,17,6.5,536,18,206.66666666666666,126.16666666666667,3.5,22.833333333333332,156.5,20.833333333333332,55.5,240.33333333333334,123,31.5,94.333333333333329,99.166666666666671,1.8333333333333333,94.333333333333329,4.666666666666667,2.5,471.33333333333331,78.166666666666671,213,2.6666666666666665,15.833333333333334,31.833333333333332,67.166666666666671,29.666666666666668,42.833333333333336,4.166666666666667,138,3.5,1.3333333333333333,42.333333333333336,38.166666666666664,42.666666666666664,3.833333333333333,7.5,7.333333333333333,96.666666666666671,9.8333333333333339,5.5,4.5,15.166666666666666,7.833333333333333,0.33333333333333331,14.5,6.166666666666667,2.5,8.8333333333333339,244.83333333333334,18,74,28.166666666666668,81.666666666666671,2,11.333333333333334,134.66666666666666,59,75,15.833333333333334,52.666666666666664,15.5,9.3333333333333339,119,46,10,18.5,80.333333333333329,12.166666666666666,43.833333333333336,67.833333333333329,303,29.833333333333332,56.166666666666664,139.33333333333334,27,11.333333333333334,39.833333333333336,27.333333333333332,204.66666666666666,20.833333333333332,43,66.833333333333329,56.666666666666664,6.8333333333333286,16.833333333333343,7.1666666666666643,79.500000000000057,7,62,28.5,13.333333333333258,42.499999999999972,7.1666666666666856,44.666666666666629,31,41.666666666666629,16.5,12,6,68.000000000000057,115.99999999999997,98.500000000000114,5.1666666666666661,81,8.6666666666666679,88,8,49.5,37,53,11.999999999999998,157.83333333333331,7.6666666666666288,9,22.166666666666515,28.666666666666686,10.166666666666686,21.166666666666515,62.833333333333371,11.666666666666671,184.33333333333337,141],"branchvalues":"total","insidetextorientation":"radial","type":"sunburst","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(255,255,255,1)"}},"frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script><span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># count each topic lineage equally</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">plot_topic_segmentation</span><span class="op">(</span>method <span class="op">=</span> <span class="st">"per_topic_lineage"</span><span class="op">)</span></span></span>
<div id="htmlwidget-36aa3d2a04d42bbc2145" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-36aa3d2a04d42bbc2145">{"x":{"visdat":{"6629c822f081":["function () ","plotlyVisDat"]},"cur_data":"6629c822f081","attrs":{"6629c822f081":{"labels":{},"parents":{},"ids":{},"values":{},"branchvalues":"total","insidetextorientation":"radial","alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"sunburst"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"closest","showlegend":false},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"labels":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>"],"parents":["","","","","","","","","","","","","foreign policy","foreign policy","agriculture","transport and infrastructure","energy","security policy","foreign policy","public finance","state organisation","agriculture","culture, religion and media","foreign policy","foreign policy","economy","education and research","economy","energy","environment and living space","state organisation","economy","public finance","agriculture","foreign policy","agriculture","social policy","environment and living space","energy","state organisation","foreign policy","culture, religion and media","state organisation","agriculture","culture, religion and media","security policy","state organisation","energy","energy","state organisation","foreign policy","transport and infrastructure","education and research","public finance","security policy","transport and infrastructure","culture, religion and media","education and research","transport and infrastructure","education and research","transport and infrastructure","social policy","social policy","environment and living space","culture, religion and media","public finance","transport and infrastructure","economy","transport and infrastructure","education and research","European policy","European policy","European policy","international organisations","army","health","environment","environment","research","army","army","finance","housing","social groups","citizens' rights","legal system","public security","social security","economic policy","army","political system","economic policy","institutions","legal system","foreign trade policy","legal system","taxation","social security","federalism","political system","employment","employment","environment","social groups","media and communication","legal system","research","rail transport","institutions","social security","health","road transport","social groups","tourism and leisure","social groups","position on foreign policy","taxation","employment","federalism","army","legal system","soil","political system","tourism and leisure","social security","media and communication","health","health","army","army","army","finance","institutions","position on foreign policy","environment","social security","European policy","international organisations","institutions","rail transport","social security","social groups","public security","media and communication","economic policy","legal system","political system","environment","media and communication","citizens' rights","social groups","health","road transport","social groups","economic policy","environment","soil","public security","social groups","economic policy","taxation","taxation","housing","federalism","tourism and leisure","transport policy","social security","transport policy","citizens' rights","environment","environment","social security","employment","European policy","agriculture","army","citizens' rights","culture, religion and media","economic policy","economy","education and research","employment","energy","environment","environment and living space","federalism","finance","foreign policy","foreign trade policy","health","housing","institutions","international organisations","legal system","media and communication","political system","position on foreign policy","public finance","public security","rail transport","research","road transport","security policy","social groups","social policy","social security","soil","state organisation","taxation","tourism and leisure","transport and infrastructure","transport policy"],"ids":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","NA_European policy","NA_agriculture","NA_army","NA_citizens' rights","NA_culture, religion and media","NA_economic policy","NA_economy","NA_education and research","NA_employment","NA_energy","NA_environment","NA_environment and living space","NA_federalism","NA_finance","NA_foreign policy","NA_foreign trade policy","NA_health","NA_housing","NA_institutions","NA_international organisations","NA_legal system","NA_media and communication","NA_political system","NA_position on foreign policy","NA_public finance","NA_public security","NA_rail transport","NA_research","NA_road transport","NA_security policy","NA_social groups","NA_social policy","NA_social security","NA_soil","NA_state organisation","NA_taxation","NA_tourism and leisure","NA_transport and infrastructure","NA_transport policy"],"values":[306,336,1159,1548,308,1522,242,1990,436,2723,5345,1250,74,5,73,41,36,107,35,128,719,24,105,7,5,289,543,497,146,706,602,141,61,94,20,50,935,521,27,1510,26,32,756,27,61,16,457,70,11,1266,49,4,146,749,296,120,67,36,404,650,30,1230,514,234,54,949,15,170,296,140,4,1,55,6,5,213,18,88,6,16,28,86,183,557,106,67,89,1,26,7,615,38,279,199,7,28,265,49,101,348,246,64,197,205,5,138,7,5,702,124,377,7,23,56,134,36,82,7,218,5,2,79,76,60,8,10,15,177,19,6,6,25,13,1,28,11,3,10,335,31,125,54,110,3,20,182,86,141,23,95,24,13,170,114,18,41,135,21,99,84,440,46,70,202,32,15,49,42,350,35,69,99,91,11,38,15,168,17,103,62,33,89,18,89,61,81,30,21,13,140,268,181,10,140,20,141,12,103,76,84,23,227,17,20,44,48,20,35,116,22,340,239],"branchvalues":"total","insidetextorientation":"radial","type":"sunburst","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(255,255,255,1)"}},"frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script><span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># naive count (way faster, but with misleading proportions on tier 2 and 3)</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">plot_topic_segmentation</span><span class="op">(</span>method <span class="op">=</span> <span class="st">"naive"</span><span class="op">)</span></span></span>
<div id="htmlwidget-febe03efa1a2d8d52a86" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-febe03efa1a2d8d52a86">{"x":{"visdat":{"6629c470f9a16":["function () ","plotlyVisDat"]},"cur_data":"6629c470f9a16","attrs":{"6629c470f9a16":{"labels":{},"parents":{},"ids":{},"values":{},"branchvalues":"remainder","insidetextorientation":"radial","alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"sunburst"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"closest","showlegend":false},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"labels":["state organisation","foreign policy","security policy","economy","agriculture","public finance","energy","transport and infrastructure","environment and living space","social policy","education and research","culture, religion and media","national identity","political system","institutions","citizens' rights","federalism","legal system","position on foreign policy","European policy","international organisations","development cooperation","bilateral treaties","foreign trade policy","diplomacy","Swiss abroad","public security","army","national economic supply","economic policy","employment","finance","tourism and leisure","agricultural policy","livestock","crop production","forestry","fishing, hunting and pets","taxation","financial system","public expenditure","budget cuts and remediation measures","energy policy","nuclear energy","hydro-electric power","alternative energy","oil and gas","transport policy","road transport","rail transport","air transport","shipping","post","telecommunications","soil","housing","environment","health","social security","social groups","education policy","schools","universities","research","professional and vocational education","cultural policy","language policy","religion, churches","sport","media and communication","constitution","procedure for constitutional reform","legislative procedure","electoral system","government, administration","parliament","courts","national bank","citizens' initiatives","referendum","voting rights","territorial questions","intergovernmental relations","division of tasks","international law","fundamental rights","citizenship","private law","criminal law","data protection","neutrality","independence","EFTA","EU","EEA","other European organisations","UN","other international organisations","customs","civil protection","state security","police","armed forces in general","military organisation","arms","military facilities","conscientious objection, civilian service","abolition of the armed forces","military training","international deployment","short-term economic policy","competition policy","structural policy","pricing policy","consumer protection","employment conditions","working hours","industrial relations","employment policy","monetary policy","banks, stock exchange, insurance","tourism","hospitality","lottery and gambling","tax policy","tax system","direct taxation","indirect taxation","urban transport","transit traffic","road construction","heavy traffic","goods traffic","passenger traffic","spatial planning","land law","tenancy issues","building of residential housing, property ownership","environmental policy","noise protection","air quality control","water pollution control","soil protection","waste","protection of nature and cultural heritage","animal protection","health policy","medical research and technology","medicines","addictive substances","reproductive medicine","pension insurance","disability insurance","occupational benefits provision","health and accident insurance","maternity insurance","unemployment insurance","compensation for loss of earnings for persons on military service or civil protection duty","welfare","immigration policy","refugees","status of women","family policy","children and young people","senior citizens","persons with disabilities","homosexuals","genetic engineering","animal testing","media policy","press","radio, television and electronic media","freedom of the media"],"parents":["","","","","","","","","","","","","state organisation","state organisation","state organisation","state organisation","state organisation","state organisation","foreign policy","foreign policy","foreign policy","foreign policy","foreign policy","foreign policy","foreign policy","foreign policy","security policy","security policy","security policy","economy","economy","economy","economy","agriculture","agriculture","agriculture","agriculture","agriculture","public finance","public finance","public finance","public finance","energy","energy","energy","energy","energy","transport and infrastructure","transport and infrastructure","transport and infrastructure","transport and infrastructure","transport and infrastructure","transport and infrastructure","transport and infrastructure","environment and living space","environment and living space","environment and living space","social policy","social policy","social policy","education and research","education and research","education and research","education and research","education and research","culture, religion and media","culture, religion and media","culture, religion and media","culture, religion and media","culture, religion and media","political system","political system","political system","political system","institutions","institutions","institutions","institutions","citizens' rights","citizens' rights","citizens' rights","federalism","federalism","federalism","legal system","legal system","legal system","legal system","legal system","legal system","position on foreign policy","position on foreign policy","European policy","European policy","European policy","European policy","international organisations","international organisations","foreign trade policy","public security","public security","public security","army","army","army","army","army","army","army","army","economic policy","economic policy","economic policy","economic policy","economic policy","employment","employment","employment","employment","finance","finance","tourism and leisure","tourism and leisure","tourism and leisure","taxation","taxation","taxation","taxation","transport policy","transport policy","road transport","road transport","rail transport","rail transport","soil","soil","housing","housing","environment","environment","environment","environment","environment","environment","environment","environment","health","health","health","health","health","social security","social security","social security","social security","social security","social security","social security","social security","social groups","social groups","social groups","social groups","social groups","social groups","social groups","social groups","research","research","media and communication","media and communication","media and communication","media and communication"],"ids":["state organisation","foreign policy","security policy","economy","agriculture","public finance","energy","transport and infrastructure","environment and living space","social policy","education and research","culture, religion and media","national identity","political system","institutions","citizens' rights","federalism","legal system","position on foreign policy","European policy","international organisations","development cooperation","bilateral treaties","foreign trade policy","diplomacy","Swiss abroad","public security","army","national economic supply","economic policy","employment","finance","tourism and leisure","agricultural policy","livestock","crop production","forestry","fishing, hunting and pets","taxation","financial system","public expenditure","budget cuts and remediation measures","energy policy","nuclear energy","hydro-electric power","alternative energy","oil and gas","transport policy","road transport","rail transport","air transport","shipping","post","telecommunications","soil","housing","environment","health","social security","social groups","education policy","schools","universities","research","professional and vocational education","cultural policy","language policy","religion, churches","sport","media and communication","constitution","procedure for constitutional reform","legislative procedure","electoral system","government, administration","parliament","courts","national bank","citizens' initiatives","referendum","voting rights","territorial questions","intergovernmental relations","division of tasks","international law","fundamental rights","citizenship","private law","criminal law","data protection","neutrality","independence","EFTA","EU","EEA","other European organisations","UN","other international organisations","customs","civil protection","state security","police","armed forces in general","military organisation","arms","military facilities","conscientious objection, civilian service","abolition of the armed forces","military training","international deployment","short-term economic policy","competition policy","structural policy","pricing policy","consumer protection","employment conditions","working hours","industrial relations","employment policy","monetary policy","banks, stock exchange, insurance","tourism","hospitality","lottery and gambling","tax policy","tax system","direct taxation","indirect taxation","urban transport","transit traffic","road construction","heavy traffic","goods traffic","passenger traffic","spatial planning","land law","tenancy issues","building of residential housing, property ownership","environmental policy","noise protection","air quality control","water pollution control","soil protection","waste","protection of nature and cultural heritage","animal protection","health policy","medical research and technology","medicines","addictive substances","reproductive medicine","pension insurance","disability insurance","occupational benefits provision","health and accident insurance","maternity insurance","unemployment insurance","compensation for loss of earnings for persons on military service or civil protection duty","welfare","immigration policy","refugees","status of women","family policy","children and young people","senior citizens","persons with disabilities","homosexuals","genetic engineering","animal testing","media policy","press","radio, television and electronic media","freedom of the media"],"values":[4252,220,406,994,297,1712,249,1049,1259,2187,982,324,457,1207,1422,678,586,732,49,74,26,7,35,20,5,5,284,104,16,278,414,137,169,73,27,24,50,94,794,61,749,128,146,70,27,36,11,295,404,117,41,30,4,15,208,518,572,779,466,1157,543,650,140,36,146,105,32,67,54,57,615,86,76,348,702,335,279,13,106,95,350,202,218,101,2,138,67,182,199,28,1,36,1,55,4,3,6,10,7,89,21,110,16,6,28,19,7,5,6,5,18,26,84,20,38,246,91,7,64,25,86,32,56,60,440,46,265,82,42,15,170,7,5,31,135,79,70,183,197,28,18,69,41,35,141,88,377,15,177,213,13,125,49,11,124,8,49,1,99,134,24,99,205,557,114,54,23,7,6,10,3,23,5],"branchvalues":"remainder","insidetextorientation":"radial","type":"sunburst","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(255,255,255,1)"}},"frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script></code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

